import ItemDetails from "./ItemDetails";

const OrderDetails = ({ order, showDetails }) => {

  return (
    <div className={`order-details ${showDetails ? "animate" : ""}`}>
      <div className="order-details-container">
        {`Warehouse Order #: ${order.id}`}

        <div className="order-details-header">
          Order Details
        </div>
        <table className="order-detail-table">
          <thead>
            <tr>
              <th>SKU #</th>
              <th>Name</th>
              <th>Price</th>
              <th>Quantity</th>
            </tr>
          </thead>
          <tbody>
            {order.orderItems.map((item) => (
              <ItemDetails key={item.itemId} item={item} />
            ))}
          </tbody>
        </table>
      </div>
    </div>
  );
}

export default OrderDetails;